package com.msignia.samples.threeds.backend.controllers;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

@ControllerAdvice
public class AdviceController {

    private final Logger logger = LoggerFactory.getLogger(AdviceController.class);


    @ExceptionHandler({Exception.class})
    @ResponseBody ResponseEntity handleException(Exception e) {
        logger.error("SERVER EXCEPTION OCCURRED", e);
        return ResponseEntity.badRequest().body(e.getMessage());
    }
}
