package com.msignia.samples.threeds.backend.controllers;

import com.msignia.samples.threeds.backend.services.SupportedVersionsService;
import com.msignia.threeds.mpi.get_supported_versions.GetSupportedVersionsResponse;
import org.json.JSONObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api")
public class SupportedVersionsController {

    private final Logger logger = LoggerFactory.getLogger(SupportedVersionsController.class);
    private final SupportedVersionsService supportedVersionsService;

    public SupportedVersionsController(SupportedVersionsService supportedVersionsService) {
        this.supportedVersionsService = supportedVersionsService;
    }

    @CrossOrigin(origins = "*")
    @PostMapping(path = "/v2/supported-versions", consumes = "application/json", produces = "application/json")
    public ResponseEntity<GetSupportedVersionsResponse> supportedVersions6_3(
            @RequestBody String request, @RequestHeader(required = false, defaultValue = "sample.app@msignia.com") String email) throws Exception {
        logger.debug("supportedVersions 6.3 version entered");
        return ResponseEntity.ok().body(supportedVersionsService.perform(email, new JSONObject(request)));
    }

    @CrossOrigin(origins = "*")
    @PostMapping(path = "/v3/supported-versions", consumes = "application/json", produces = "application/json")
    public ResponseEntity<GetSupportedVersionsResponse> supportedVersions(
            @RequestBody String request, @RequestHeader String email) throws Exception {
        logger.debug("supportedVersions entered");
        return ResponseEntity.ok().body(supportedVersionsService.perform(email, new JSONObject(request)));
    }
}
