/*
 Copyright © mSIGNIA, Incorporated, 2007.  All rights reserved.

 Software is protected by one or more of U.S. Patent No. 9,559,852, 9294448, 8,817,984,
 international patents and others pending. For more information see www.mSIGNIA.com.  User agrees
 that they will not them self, or through any affiliate, agent or other third-party, entity or
 other business structure remove, alter, cover or obfuscate any copyright notices or other
 proprietary rights notices of mSIGNIA or its licensors.  User agrees that they will not them
 self, or through any affiliate, agent or other third party, entity or other business structure
 (a) reproduce, sell, lease, license or sublicense this software or any part thereof, (b)
 decompile, disassemble, re-program, reverse engineer or otherwise attempt to derive or modify
 this software in whole or in part, (c) write or develop any derivative software or any other
 software program based upon this software, (d) provide, copy, transmit, disclose, divulge, or
 make available to, or permit use of this software by any third party or entity or machine without
 software owner's prior written consent, (e) circumvent or disable any security or other
 technological features or measures used by this software.
*/

package com.msignia.samples.threeds.backend.filters;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Collections;

@Component
public class LogHeaderFilter implements Filter {
    private final Logger logger = LoggerFactory.getLogger(LogHeaderFilter.class);

    @Override
    public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain) throws IOException, ServletException {
        HttpServletRequest request = (HttpServletRequest) req;

        Collections.list(request.getHeaderNames()).forEach(header -> {
            logger.debug(String.format("Header '%s' = %s", header, request.getHeader(header)));
        });

        chain.doFilter(req, res);
    }
}
