package com.msignia.samples.threeds.backend.models;

import com.msignia.threeds.mpi.authentication.models.DeviceRenderOptions;
import com.msignia.threeds.mpi.authentication.models.EcEphemeralPublicKey;

public class AuthenticationRequestMPIParameters {

    private String deviceData;
    private String sdkTransactionID;
    private String sdkAppID;
    private String sdkReferenceNumber;
    private EcEphemeralPublicKey sdkEphemeralPublicKey;
    private String messageVersion;
    private String messageCategory;
    private String threeDSServerTransID;
    private String threeDSCompInd;
    private String notificationURL;
    private String sdkMaxTimeout;
    private String deviceChannel;
    private DeviceRenderOptions deviceRenderOptions;

    private String browserAcceptHeader;
    private String browserColorDepth;
    private Boolean browserJavaEnabled;
    private Boolean browserJavascriptEnabled;
    private String browserLanguage;
    private Boolean browserRequest;
    private String browserScreenHeight;
    private String browserScreenWidth;
    private String browserTZ;
    private String browserUserAgent;
    private String browserIP;
    private String challengeWindowSize;
    private String dsIdentifier;
    private String cardID;

    public String getDeviceData() {
        return deviceData;
    }

    public void setDeviceData(String deviceData) {
        this.deviceData = deviceData;
    }

    public String getSdkTransactionID() {
        return sdkTransactionID;
    }

    public void setSdkTransactionID(String sdkTransactionID) {
        this.sdkTransactionID = sdkTransactionID;
    }

    public String getSdkAppID() {
        return sdkAppID;
    }

    public void setSdkAppID(String sdkAppID) {
        this.sdkAppID = sdkAppID;
    }

    public String getSdkReferenceNumber() {
        return sdkReferenceNumber;
    }

    public void setSdkReferenceNumber(String sdkReferenceNumber) {
        this.sdkReferenceNumber = sdkReferenceNumber;
    }

    public EcEphemeralPublicKey getSdkEphemeralPublicKey() {
        return sdkEphemeralPublicKey;
    }

    public void setSdkEphemeralPublicKey(EcEphemeralPublicKey sdkEphemeralPublicKey) {
        this.sdkEphemeralPublicKey = sdkEphemeralPublicKey;
    }

    public String getMessageVersion() {
        return messageVersion;
    }

    public void setMessageVersion(String messageVersion) {
        this.messageVersion = messageVersion;
    }

    public String getMessageCategory() {
        return messageCategory;
    }

    public void setMessageCategory(String messageCategory) {
        this.messageCategory = messageCategory;
    }

    public String getThreeDSServerTransID() {
        return threeDSServerTransID;
    }

    public void setThreeDSServerTransID(String threeDSServerTransID) {
        this.threeDSServerTransID = threeDSServerTransID;
    }

    public String getThreeDSCompInd() {
        return threeDSCompInd;
    }

    public void setThreeDSCompInd(String threeDSCompInd) {
        this.threeDSCompInd = threeDSCompInd;
    }

    public String getNotificationURL() {
        return notificationURL;
    }

    public void setNotificationURL(String notificationURL) {
        this.notificationURL = notificationURL;
    }

    public String getSdkMaxTimeout() {
        return sdkMaxTimeout;
    }

    public void setSdkMaxTimeout(String sdkMaxTimeout) {
        this.sdkMaxTimeout = sdkMaxTimeout;
    }

    public String getDeviceChannel() {
        return deviceChannel;
    }

    public void setDeviceChannel(String deviceChannel) {
        this.deviceChannel = deviceChannel;
    }

    public DeviceRenderOptions getDeviceRenderOptions() {
        return deviceRenderOptions;
    }

    public void setDeviceRenderOptions(DeviceRenderOptions deviceRenderOptions) {
        this.deviceRenderOptions = deviceRenderOptions;
    }

    public String getBrowserAcceptHeader() {
        return browserAcceptHeader;
    }

    public void setBrowserAcceptHeader(String browserAcceptHeader) {
        this.browserAcceptHeader = browserAcceptHeader;
    }

    public String getBrowserColorDepth() {
        return browserColorDepth;
    }

    public void setBrowserColorDepth(String browserColorDepth) {
        this.browserColorDepth = browserColorDepth;
    }

    public Boolean getBrowserJavaEnabled() {
        return browserJavaEnabled;
    }

    public void setBrowserJavaEnabled(Boolean browserJavaEnabled) {
        this.browserJavaEnabled = browserJavaEnabled;
    }

    public Boolean getBrowserJavascriptEnabled() {
        return browserJavascriptEnabled;
    }

    public void setBrowserJavascriptEnabled(Boolean browserJavascriptEnabled) {
        this.browserJavascriptEnabled = browserJavascriptEnabled;
    }

    public String getBrowserLanguage() {
        return browserLanguage;
    }

    public void setBrowserLanguage(String browserLanguage) {
        this.browserLanguage = browserLanguage;
    }

    public Boolean getBrowserRequest() {
        return browserRequest;
    }

    public void setBrowserRequest(Boolean browserRequest) {
        this.browserRequest = browserRequest;
    }

    public String getBrowserScreenHeight() {
        return browserScreenHeight;
    }

    public void setBrowserScreenHeight(String browserScreenHeight) {
        this.browserScreenHeight = browserScreenHeight;
    }

    public String getBrowserScreenWidth() {
        return browserScreenWidth;
    }

    public void setBrowserScreenWidth(String browserScreenWidth) {
        this.browserScreenWidth = browserScreenWidth;
    }

    public String getBrowserTZ() {
        return browserTZ;
    }

    public void setBrowserTZ(String browserTZ) {
        this.browserTZ = browserTZ;
    }

    public String getBrowserUserAgent() {
        return browserUserAgent;
    }

    public void setBrowserUserAgent(String browserUserAgent) {
        this.browserUserAgent = browserUserAgent;
    }

    public String getBrowserIP() {
        return browserIP;
    }

    public void setBrowserIP(String browserIP) {
        this.browserIP = browserIP;
    }

    public String getChallengeWindowSize() {
        return challengeWindowSize;
    }

    public void setChallengeWindowSize(String challengeWindowSize) {
        this.challengeWindowSize = challengeWindowSize;
    }

    public String getDsIdentifier() {
        return dsIdentifier;
    }

    public void setDsIdentifier(String dsIdentifier) {
        this.dsIdentifier = dsIdentifier;
    }

    public String getCardID() {
        return cardID;
    }

    public void setCardID(String cardID) {
        this.cardID = cardID;
    }

    @Override
    public String toString() {
        return "AuthenticationRequestMPIParameters{" +
                "deviceData='" + deviceData + '\'' +
                ", sdkTransactionID='" + sdkTransactionID + '\'' +
                ", sdkAppID='" + sdkAppID + '\'' +
                ", sdkReferenceNumber='" + sdkReferenceNumber + '\'' +
                ", sdkEphemeralPublicKey=" + sdkEphemeralPublicKey +
                ", messageVersion='" + messageVersion + '\'' +
                ", messageCategory='" + messageCategory + '\'' +
                ", threeDSServerTransID='" + threeDSServerTransID + '\'' +
                ", threeDSCompInd='" + threeDSCompInd + '\'' +
                ", notificationURL='" + notificationURL + '\'' +
                ", sdkMaxTimeout='" + sdkMaxTimeout + '\'' +
                ", deviceChannel='" + deviceChannel + '\'' +
                ", deviceRenderOptions=" + deviceRenderOptions +
                ", browserAcceptHeader='" + browserAcceptHeader + '\'' +
                ", browserColorDepth='" + browserColorDepth + '\'' +
                ", browserJavaEnabled=" + browserJavaEnabled +
                ", browserJavascriptEnabled=" + browserJavascriptEnabled +
                ", browserLanguage='" + browserLanguage + '\'' +
                ", browserRequest=" + browserRequest +
                ", browserScreenHeight='" + browserScreenHeight + '\'' +
                ", browserScreenWidth='" + browserScreenWidth + '\'' +
                ", browserTZ='" + browserTZ + '\'' +
                ", browserUserAgent='" + browserUserAgent + '\'' +
                ", browserIP='" + browserIP + '\'' +
                ", challengeWindowSize='" + challengeWindowSize + '\'' +
                ", dsIdentifier='" + dsIdentifier + '\'' +
                ", cardID='" + cardID + '\'' +
                '}';
    }
}