package com.msignia.samples.threeds.backend.models;

public enum DeviceChannel {

    APP("01", "app"),
    BRW("02", "brw"),
    THREERI("03", "3ri");

    private String messageCode;
    private String schemaCode;

    DeviceChannel(String messageCode, String schemaCode) {
        this.messageCode = messageCode;
        this.schemaCode = schemaCode;
    }

    public static DeviceChannel lookupByMessageCode(String code) {
        for (DeviceChannel deviceChannel : values()) {
            if (deviceChannel.messageCode.equals(code)) {
                return deviceChannel;
            }
        }
        return null;
    }

    public String messageCode() {
        return messageCode;
    }

    public String schemaCode() {
        return schemaCode;
    }
}
